[package]
name = "hornbeam"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
url = "2.3"
sha1 = "0.10"
simdutf8 = "0.1" # Insanely fast UTF-8 validation

rand = { version = "0.8", optional = true } # feature: csprng-rand

base64 = { version = "0.21", optional = true } # feature: base64-base64
radix64 = { version = "0.6", optional = true } # feature: base64-radix64

log = { version = "0.4", optional = true } # feature: logging

[dev-dependencies]
simple_logger = "4.1"

[features]
default = ["csprng-rand", "base64-radix64", "logging"]

csprng-rand = ["rand"]

base64-base64 = ["base64"]
base64-radix64 = ["radix64"]

logging = ["log"]